\version "2.22.0"

\header {
  title = "Lepatriinu Valss"
  composer = "Hartwin Dhoore"
  meter = "Waltz"
  enteredby = "kastdeur"
}

global = {
  \key g \major
  \time 8/8
}

bpm = \tempo 4. = 90

flute = \relative c'' {
  \global

  \repeat unfold 2 {
	b8 a b	e,4 b'8	a8 g |
	a8 d, d'	c4 b8	a8 b |
	b8 a b	e,4 b'8	a8 g |
  } \alternative {
	{
		fis8 d16 e fis g	a8 a16 g a c	b8 a16 b |
	}
	{
		a8 g fis	e4.~	e4
	}
  }
  \bar "||"
  \break
  \repeat unfold 2 {
	e8 d e	fis8 d fis	g8 d |
	a'8 d, d'	c4 b8	a8 b |
  } \alternative {
	{
		e8 fis g	d4 c8	b8 c |
		d8 fis g	c,4 b8	a8 g16 fis |
	}
	{
		g8 a b	g4 b8	a8 g |
		fis8 g16 fis g a	fis4.~ fis4
	}
  }
  \bar "|."
}
chordNames = \chordmode {
  \global
  e1:m | d1/fis | c1 | b1:m |
  e1:m | d1/fis | c1 | b4.:m e4.:m e4:m |

  c4. d4. e4:m7 | d4./fis g4. g4 | c1 | b1:m |
  c4. d4. e4:m7 | d4./fis g4. g4 | c1 | b1:m |
}

chordsPart = \new ChordNames \with {
  chordChanges = ##t
} \chordNames

flutePart = \new Staff = "flute" \with {
  instrumentName = "Fl."
  midiInstrument = "flute"
} \flute

\score {
  \transpose g d'
  \removeWithTag #'printRemove <<
	\chordsPart
    \flutePart
  >>
  \layout { }
}

\score {
  \unfoldRepeats \removeWithTag #'midiRemove <<
	\chordsPart
    \flutePart
  >>
  \midi {
	\bpm
  }
}
